% rosenbrock function
% minimum = 0;  X = [1...1]

function Y = flip_rosenbrock(X)
% Y is a column vector, X is a matrix, each row of X is a sample

dim = size(X,2);  % dimension of the problem, i.e., length of each sample

Y=sum ((X(:,1:dim-1)-1).^2+100*(X(:,2:dim)-(X(:,1:dim-1)).^2).^2, 2);
% for maximization prob; max = -1
Y=Y+1;

% the above part of the rosenbrock function was intended for a minization problem,
% since GASS is working under a maximization formulation, we need to flip it
Y = -Y;

